<?php
session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");}

function racs($pr)
{
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");}
else
{
	
$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");
$sts=0;
$rts=0;
$rws=0;
$flt=" where agent_names is not null ";

$sqlst="select zones,regions,agents,territorys,chanell,executive,rsmname,stores_names,ranges,group_dbid,sub_regions,asm_name,arm_name,range_type,sm_id,rm_id from acs where user_names='".$_SESSION['usernames']."' ";
$qry=mysqli_query($conn,$sqlst);


$fn=mysqli_num_fields($qry);
$rn=mysqli_num_rows($qry);

if($rn==0){
return "access failed";}
else
{
	
$sts=0;
while($rst=mysqli_fetch_row($qry)){
for($cnt=0;$cnt<$fn;$cnt++){
if(strtolower($rst[$cnt])!='all'){
$sts++;}}
}

if($sts>0){	
$flt=$flt."and (";
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
$sts=0;
$rts=0;
	
for($cnt=0;$cnt<$fn;$cnt++){
if(strtolower($rst[$cnt])!='all'){
$sts++;}
}

if($sts>0){
if($rws==0){
$flt=$flt." (";}	
if($rws>=1){
$flt=$flt." or (";}	

$rws++;
$rts=0;
	
if(strtolower($rst[0])!='all'){
$rts++;	
$flt=$flt." zones='".$rst[0]."' ";}

if(strtolower($rst[1])!='all'){
if($rts>0){	
$flt=$flt."and regions='".$rst[1]."' ";}
else{
$flt=$flt."regions='".$rst[1]."' ";}
$rts++;}

if(strtolower($rst[10])!='all'){
if($rts>0){	
$flt=$flt."and sub_regions='".$rst[10]."' ";}
else{
$flt=$flt."sub_regions='".$rst[10]."' ";}
$rts++;}

if(strtolower($rst[2])!='all'){
if($rts>0){	
$flt=$flt."and agent_names='".$rst[2]."' ";}
else{
$flt=$flt."agent_names='".$rst[2]."' ";}
$rts++;}

if(strtolower($rst[3])!='all'){
if($rts>0){	
$flt=$flt."and territory_names='".$rst[3]."' ";}
else{
$flt=$flt."territory_names='".$rst[3]."' ";}
$rts++;}

if(strtolower($rst[4])!='all'){
if($rts>0){	
$flt=$flt."and chanell='".$rst[4]."' ";}
else{
$flt=$flt."chanell='".$rst[4]."' ";}
$rts++;}

if(strtolower($rst[5])!='all'){
if($rts>0){	
$flt=$flt."and executive_names='".$rst[5]."' ";}
else{
$flt=$flt."executive_names='".$rst[5]."' ";}
$rts++;}

if(strtolower($rst[6])!='all'){
if($rts>0){	
$flt=$flt."and rsm_names='".$rst[6]."' ";}
else{
$flt=$flt."rsm_names='".$rst[6]."' ";}
$rts++;}

if(strtolower($rst[7])!='all'){
if($rts>0){	
$flt=$flt."and stores_names='".$rst[7]."' ";}
else{
$flt=$flt."stores_names='".$rst[7]."' ";}
$rts++;}


if(strtolower($rst[9])!='all'){
if($rts>0){	
$flt=$flt."and group_dbid='".$rst[9]."' ";}
else{
$flt=$flt."group_dbid='".$rst[9]."' ";}
$rts++;}

if(strtolower($rst[8])!='all'){
if($rts>0){	
$flt=$flt."and item_ranges='".$rst[8]."' ";}
else{
$flt=$flt."item_ranges='".$rst[8]."' ";}
$rts++;}

if(strtolower($rst[11])!='all'){
if($rts>0){	
$flt=$flt."and asm_names='".$rst[11]."' ";}
else{
$flt=$flt."asm_names='".$rst[11]."' ";}
$rts++;}

if(strtolower($rst[12])!='all'){
if($rts>0){	
$flt=$flt."and arm_names='".$rst[12]."' ";}
else{
$flt=$flt."arm_names='".$rst[12]."' ";}
$rts++;}

if(strtolower($rst[13])!='all'){
if($rts>0){	
$flt=$flt."and range_types='".$rst[13]."' ";}
else{
$flt=$flt."range_types='".$rst[13]."' ";}
$rts++;}

if(strtolower($rst[14])!='all'){
if($rts>0){	
$flt=$flt."and sm_id='".$rst[14]."' ";}
else{
$flt=$flt."sm_id='".$rst[14]."' ";}
$rts++;}

if(strtolower($rst[15])!='all'){
if($rts>0){	
$flt=$flt."and rm_id='".$rst[15]."' ";}
else{
$flt=$flt."rm_id='".$rst[15]."' ";}
$rts++;}

$flt=$flt.")";
}
}

$flt=$flt.")";
}
return $flt;
}
}
}



function stacs($pr)
{
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");}
else
{
	
$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");

$sts=0;
$rts=0;
$rws=0;

$flt=" where agent_name is not null ";

$sqlst="select zones,regions,agents,territorys,stores_names from acs where user_names='".$_SESSION['usernames']."' ";
$qry=mysqli_query($conn,$sqlst);

$fn=mysqli_num_fields($qry);
$rn=mysqli_num_rows($qry);

if($rn==0){
return "access failed";}
else
{
	
$sts=0;
while($rst=mysqli_fetch_row($qry)){
for($cnt=0;$cnt<$fn;$cnt++){
if(strtolower($rst[$cnt])!='all'){
$sts++;}}
}

if($sts>0){	
$flt=$flt."and (";
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
$sts=0;
$rts=0;
	
for($cnt=0;$cnt<$fn;$cnt++){
if(strtolower($rst[$cnt])!='all'){
$sts++;}
}

if($sts>0){
if($rws==0){
$flt=$flt." (";}	
if($rws>=1){
$flt=$flt." or (";}	

$rws++;
$rts=0;
	
if(strtolower($rst[0])!='all'){
$rts++;	
$flt=$flt." zone='".$rst[0]."' ";}

if(strtolower($rst[1])!='all'){
if($rts>0){	
$flt=$flt."and region='".$rst[1]."' ";}
else{
$flt=$flt."region='".$rst[1]."' ";}
$rts++;}

if(strtolower($rst[2])!='all'){
if($rts>0){	
$flt=$flt."and agent_name='".$rst[2]."' ";}
else{
$flt=$flt."agent_name='".$rst[2]."' ";}
$rts++;}

if(strtolower($rst[3])!='all'){
if($rts>0){	
$flt=$flt."and territory_name='".$rst[3]."' ";}
else{
$flt=$flt."territory_name='".$rst[3]."' ";}
$rts++;}

if(strtolower($rst[4])!='all'){
if($rts>0){	
$flt=$flt."and stores_name='".$rst[4]."' ";}
else{
$flt=$flt."stores_name='".$rst[4]."' ";}
$rts++;}
$flt=$flt.")";
}
}
$flt=$flt.")";
}
return $flt;
}
}
}
?>
